Bug 1086516 (CVE-2013-7354) - CVE-2013-7354 libpng: integer overflow leading to a heap-based buffer overflow in png_set_sPLT() and png_set_text_2()
Summary: CVE-2013-7354 libpng: integer overflow leading to a heap-based buffer overflo...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-7354
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140411,repor...
Depends On: 1086669 1086670 1086671 1086672 1086673 1086674
Blocks: 1086521
TreeView+ depends on / blocked
 
Reported: 2014-04-11 04:00 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 19:59 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-21 09:04:04 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2014-04-11 04:00:28 UTC
An integer overflow leading to a heap-based buffer overflow was found in the png_set_sPLT() and png_set_text_2() API functions of libpng. A attacker could create a specially-crafated image file and render it with an application written to explicitly call png_set_sPLT() or png_set_text_2() function, could cause libpng to crash or execute arbitrary code with the permissions of the user running such an application.

The vendor mentions that internal calls use safe values. These issues could potentially affect applications that use the libpng API. Apparently no such applications were identified.

Reference:

http://sourceforge.net/p/libpng/bugs/199/
http://seclists.org/oss-sec/2014/q2/83

Comment 2 Huzaifa S. Sidhpurwala 2014-04-11 09:51:27 UTC
Created libpng tracking bugs for this issue:

Affects: fedora-19 [bug 1086669]

Comment 3 Huzaifa S. Sidhpurwala 2014-04-11 09:51:31 UTC
Created libpng10 tracking bugs for this issue:

Affects: epel-6 [bug 1086673]

Comment 4 Huzaifa S. Sidhpurwala 2014-04-11 09:51:35 UTC
Created libpng15 tracking bugs for this issue:

Affects: fedora-20 [bug 1086670]

Comment 5 Huzaifa S. Sidhpurwala 2014-04-11 09:51:39 UTC
Created mingw-libpng tracking bugs for this issue:

Affects: fedora-19 [bug 1086671]

Comment 6 Huzaifa S. Sidhpurwala 2014-04-11 09:51:44 UTC
Created mingw32-libpng tracking bugs for this issue:

Affects: epel-5 [bug 1086672]
Affects: epel-6 [bug 1086674]

Comment 7 Paul Howarth 2014-04-11 15:06:21 UTC
Upstream says libpng10, 12, and 14 were not affected.

http://sourceforge.net/p/png-mng/mailman/message/32215052/

Comment 8 Huzaifa S. Sidhpurwala 2014-04-21 07:54:30 UTC
Statement:

Not vulnerable. This issue does not affect the version of libpng as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 9 Petr Hracek 2014-05-21 19:26:11 UTC
Does this affect also libpng in Fedora 20 where is version 1.6.6?

Comment 10 Petr Hracek 2015-01-21 11:26:05 UTC
This is already fixed in libpng-1.6.6 version.

I have checked that against upstream.


Note You need to log in before you can comment on or make changes to this bug.